import Flicking, { Plugin, DIRECTION } from "@egjs/flicking";
interface AutoPlayOptions {
    duration: number;
    animationDuration: number | undefined;
    direction: typeof DIRECTION["NEXT"] | typeof DIRECTION["PREV"];
    stopOnHover: boolean;
    delayAfterHover: number;
}
declare class AutoPlay implements Plugin {
    private _duration;
    private _animationDuration;
    private _direction;
    private _stopOnHover;
    private _delayAfterHover;
    private _flicking;
    private _timerId;
    private _mouseEntered;
    private _playing;
    get duration(): number;
    get animationDuration(): number | undefined;
    get direction(): AutoPlayOptions["direction"];
    get stopOnHover(): boolean;
    get delayAfterHover(): number;
    get playing(): boolean;
    set duration(val: number);
    set animationDuration(val: number | undefined);
    set direction(val: AutoPlayOptions["direction"]);
    set stopOnHover(val: boolean);
    set delayAfterHover(val: number);
    constructor({ duration, animationDuration, direction, stopOnHover, delayAfterHover }?: Partial<AutoPlayOptions>);
    init(flicking: Flicking): void;
    destroy(): void;
    update(): void;
    play: () => void;
    stop: () => void;
    private _movePanel;
    private _onMouseEnter;
    private _onMouseLeave;
}
export default AutoPlay;
