import Flicking, { Plugin } from "@egjs/flicking";
import ScrollContext from "../type";
export interface PaginationOptions {
    parentEl: HTMLElement | null;
    selector: string;
    type: "bullet" | "fraction" | "scroll";
    classPrefix: string;
    bulletCount: number;
    renderBullet: (className: string, index: number) => string;
    renderFraction: (currentClass: string, totalClass: string) => string;
    renderActiveBullet: ((className: string, index: number) => string) | null;
    fractionCurrentFormat: (index: number) => string;
    fractionTotalFormat: (total: number) => string;
    scrollOnChange: (index: number, ctx: ScrollContext) => any;
}
declare class Pagination implements Plugin {
    private _flicking;
    private _renderer;
    private _wrapper;
    private _parentEl;
    private _selector;
    private _type;
    private _classPrefix;
    private _bulletCount;
    private _renderBullet;
    private _renderActiveBullet;
    private _renderFraction;
    private _fractionCurrentFormat;
    private _fractionTotalFormat;
    private _scrollOnChange;
    get parentEl(): PaginationOptions["parentEl"];
    get selector(): PaginationOptions["selector"];
    get type(): PaginationOptions["type"];
    get classPrefix(): string;
    get bulletCount(): PaginationOptions["bulletCount"];
    get renderBullet(): PaginationOptions["renderBullet"];
    get renderActiveBullet(): PaginationOptions["renderActiveBullet"];
    get renderFraction(): PaginationOptions["renderFraction"];
    get fractionCurrentFormat(): PaginationOptions["fractionCurrentFormat"];
    get fractionTotalFormat(): PaginationOptions["fractionTotalFormat"];
    get scrollOnChange(): PaginationOptions["scrollOnChange"];
    set parentEl(val: PaginationOptions["parentEl"]);
    set selector(val: PaginationOptions["selector"]);
    set type(val: PaginationOptions["type"]);
    set bulletWrapperclassPrefixClass(val: PaginationOptions["classPrefix"]);
    set bulletCount(val: PaginationOptions["bulletCount"]);
    set renderBullet(val: PaginationOptions["renderBullet"]);
    set renderActiveBullet(val: PaginationOptions["renderActiveBullet"]);
    set renderFraction(val: PaginationOptions["renderFraction"]);
    set fractionCurrentFormat(val: PaginationOptions["fractionCurrentFormat"]);
    set fractionTotalFormat(val: PaginationOptions["fractionTotalFormat"]);
    set scrollOnChange(val: PaginationOptions["scrollOnChange"]);
    constructor({ parentEl, selector, type, classPrefix, bulletCount, renderBullet, renderActiveBullet, renderFraction, fractionCurrentFormat, fractionTotalFormat, scrollOnChange }?: Partial<PaginationOptions>);
    init(flicking: Flicking): void;
    destroy(): void;
    update: () => void;
    private _createRenderer;
    private _onIndexChange;
    private _removeAllChilds;
}
export default Pagination;
