import Flicking from "@egjs/flicking";
import Pagination from "../Pagination";
export interface RendererOptions {
    flicking: Flicking;
    pagination: Pagination;
    wrapper: HTMLElement;
}
declare abstract class Renderer {
    protected _flicking: Flicking;
    protected _pagination: Pagination;
    protected _wrapper: HTMLElement;
    constructor({ flicking, pagination, wrapper }: RendererOptions);
    abstract destroy(): void;
    abstract render(): void;
    abstract update(index: number): void;
    protected _createBulletFromString(html: string, index: number): HTMLElement;
    protected _addBulletEvents(bullet: HTMLElement, index: number): void;
}
export default Renderer;
